# $Revision: 1.93.4.2 $, $Date: 2003/11/21 09:46:33 $
Summary:	Program that lets you launch Win applications
Summary(es):	Ejecuta programas Windows en Linux
Summary(pl):	Program pozwalajcy uruchamia aplikacje Windows
Summary(pt_BR):	Executa programas Windows no Linux
Name:		wine
Version:	20020710
Release:	4
License:	GPL
Group:		Applications/Emulators
Source0:	ftp://metalab.unc.edu/pub/Linux/ALPHA/wine/development/Wine-%{version}.tar.gz
# Source0-md5:	51cb48fbebd4d61b01d7cbb95de33d4c
Source1:	%{name}.init
Source2:	%{name}.reg
Source3:	%{name}.systemreg
Source4:	%{name}.userreg
Patch0:		%{name}-fontcache.patch
URL:		http://www.winehq.com/
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
%{!?_without_arts:BuildRequires:	arts-devel}
BuildRequires:	bison
BuildRequires:	chpax >= 0.20020901-2
%{!?_without_cups:BuildRequires:	cups-devel}
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils
BuildRequires:	flex
BuildRequires:	freetype-devel >= 2.0.5
BuildRequires:	libjpeg-devel
BuildRequires:	ncurses-devel
BuildRequires:	openjade
%{!?_without_sane:BuildRequires:	sane-backends-devel}
Requires:	OpenGL
Requires(post):	/sbin/ldconfig
Requires(post,preun):/sbin/chkconfig
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep		libGL.so.1 libGLU.so.1
%define		no_install_post_strip	1

%define		_prefix			/usr/X11R6
%define		_mandir			%{_prefix}/man
%define		_winedir		%{_datadir}/%{name}

%description
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix. It
consists of a program loader which loads and executes a Microsoft
Windows binary, and a library that implements Windows API calls using
their Unix or X11 equivalents. The library may also be used for
porting Win32 code into native Unix executables.

%description -l es
Ejecuta programas Windows en Linux.

%description -l pl
Wine jest programem dziki ktremu mona uruchamia programy napisane
dla Microsoft Windows pod systemami uniksowymi. Skada si on z
loadera, ktry pozwala wczytywa i uruchamia programy w formacie
Microsoft Windows oraz z biblioteki, ktra implementuje API Windows
przy uyciu odpowiednikw uniksowych oraz z X11. Biblioteka moe by
take wykorzystana do przenoszenia aplikacji Win32 na uniksy.

%description -l pt_BR
O Wine  um programa que permite rodar programas MS-Windows no X11.
Ele consiste de um carregador de programa, que carrega e executa um
binrio MS-Windows, e de uma biblioteca de emulao que traduz as
chamadas da API para as equivalentes Unix/X11.

%package devel
Summary:	Wine - header files
Summary(es):	Biblioteca de desarrollo de wine
Summary(pl):	Wine - pliki nagwkowe
Summary(pt_BR):	Biblioteca de desenvolvimento do wine
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Wine - header files.

%description devel -l es
Biblioteca de desarrollo de wine.

%description devel -l pl
Wine - pliki nagwkowe.

%description devel -l pt_BR
Arquivos de incluso e bibliotecas para desenvolver aplicaes com o
WINE.

%package programs
Summary:	Wine - programs
Summary(pl):	Wine - programy
Group:		Applications
Requires:	%{name} = %{version}

%description programs
Wine - programs.

%description programs -l pl
Wine - programy.

%prep
%setup -q
%patch -p1

# turn off compilation of some tools
sed -e "s|winetest \\\|\\\|;s|avitools||" programs/Makefile.in > .tmp
mv -f .tmp programs/Makefile.in

%build
#aclocal
#autoconf
CPPFLAGS="-I/usr/include/ncurses"; export CPPFLAGS
CFLAGS="%{rpmcflags} $CPPFLAGS"
%configure \
%{!?debug:	--disable-debug} \
%{!?debug:	--disable-trace} \
	--enable-curses \
	--enable-opengl \
	--with-x

%{__make} depend
%{__make}
%{__make} -C programs

cd documentation
./db2html-winehq wine-user.sgml
./db2html-winehq wine-devel.sgml
./db2html-winehq winelib-user.sgml

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_aclocaldir}}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	exec-prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
        bindir=$RPM_BUILD_ROOT%{_bindir} \
	sbindir=$RPM_BUILD_ROOT%{_sbindir} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	datadir=$RPM_BUILD_ROOT%{_datadir} \
	includedir=$RPM_BUILD_ROOT%{_includedir}/wine \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	libexecdir=$RPM_BUILD_ROOT%{_libexecdir} \
	localstatedir=$RPM_BUILD_ROOT%{_localstatedir} \
	sharedstatedir=$RPM_BUILD_ROOT%{_sharedstatedir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	dlldir=$RPM_BUILD_ROOT%{_libdir}/wine

%{__make} -C programs install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	exec-prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
        bindir=$RPM_BUILD_ROOT%{_bindir} \
	sbindir=$RPM_BUILD_ROOT%{_sbindir} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	datadir=$RPM_BUILD_ROOT%{_datadir} \
	includedir=$RPM_BUILD_ROOT%{_includedir}/wine \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	libexecdir=$RPM_BUILD_ROOT%{_libexecdir} \
	localstatedir=$RPM_BUILD_ROOT%{_localstatedir} \
	sharedstatedir=$RPM_BUILD_ROOT%{_sharedstatedir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	dlldir=$RPM_BUILD_ROOT%{_libdir}/wine

install programs/winhelp/hlp2sgml	$RPM_BUILD_ROOT%{_bindir}
install tools/fnt2bdf			$RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d \
        $RPM_BUILD_ROOT%{_winedir}/windows/{system,Desktop,Favorites,Fonts} \
        "$RPM_BUILD_ROOT%{_winedir}/windows/Start Menu/Programs/Startup" \
	$RPM_BUILD_ROOT%{_winedir}/windows/{SendTo,ShellNew,system32,NetHood} \
	$RPM_BUILD_ROOT%{_winedir}/windows/{Profiles/Administrator,Recent} \
	$RPM_BUILD_ROOT%{_winedir}/{"Program Files/Common Files","My Documents"}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/wine
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}

touch $RPM_BUILD_ROOT%{_winedir}/{autoexec.bat,config.sys,windows/win.ini}
touch $RPM_BUILD_ROOT%{_winedir}/windows/system/{shell.dll,shell32.dll}
touch $RPM_BUILD_ROOT%{_winedir}/windows/system/{winsock.dll,wsock32.dll}

cat >$RPM_BUILD_ROOT%{_winedir}/windows/system.ini <<EOF
[mci]
cdaudio=mcicda.drv
sequencer=mciseq.drv
waveaudio=mciwave.drv
avivideo=mciavi.drv
videodisc=mcipionr.drv
vcr=mciviscd.drv
MPEGVideo=mciqtz.drv
EOF

%if %{?debug:0}%{!?debug:1}
echo "Strip executable binaries and shared object files."
filelist=`find $RPM_BUILD_ROOT -type f ! -regex ".*ld-[0-9.]*so.*"`
elfexelist=`echo $filelist | xargs -r file | \
	awk '/ELF.*executable/ {print $1}' | cut -d: -f1`
elfsharedlist=`echo $filelist | xargs -r file | \
	awk '/LF.*shared object/ {print $1}' | cut -d: -f1`; \
if [ -n "$elfexelist" ]; then \
	strip -R .note -R .comment $elfexelist
fi
if [ -n "$elfsharedlist" ]; then
	strip --strip-unneeded -R .note  -R .comment $elfsharedlist
fi
%endif

/sbin/chstk -e $RPM_BUILD_ROOT%{_bindir}/wine

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add wine
if [ ! -f /var/lock/subsys/wine ]; then
	echo "Run \"/etc/rc.d/init.d/wine start\" to start wine service." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/wine ]; then
		/etc/rc.d/init.d/wine stop >&2
	fi
	/sbin/chkconfig --del wine
fi

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README DEVELOPERS-HINTS ChangeLog BUGS AUTHORS ANNOUNCE
%doc documentation/{wine-user,samples,status}
%attr(755,root,root) %{_bindir}/wine
%attr(755,root,root) %{_bindir}/winebuild
%attr(755,root,root) %{_bindir}/winemaker
%attr(755,root,root) %{_bindir}/wineserver
%attr(755,root,root) %{_bindir}/wineclipsrv
%attr(755,root,root) %{_bindir}/winelauncher
%attr(755,root,root) %{_bindir}/wineshelllink
%attr(755,root,root) %{_bindir}/winedump
%attr(755,root,root) %{_bindir}/wrc
%attr(755,root,root) %{_bindir}/wmc
%attr(755,root,root) %{_bindir}/fnt2bdf
%attr(755,root,root) %{_bindir}/function_grep.pl
%attr(755,root,root) %{_libdir}/*.so*
%{_libdir}/wine
%{_mandir}/man[15]/*
%config(noreplace) %{_sysconfdir}/wine.reg
%config(missingok) %{_sysconfdir}/wine.systemreg
%config(missingok) %{_sysconfdir}/wine.userreg
%attr(754,root,root) %{_sysconfdir}/rc.d/init.d/wine
%{_winedir}

%files programs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hlp2sgml
%attr(755,root,root) %{_bindir}/notepad
%attr(755,root,root) %{_bindir}/progman
%attr(755,root,root) %{_bindir}/regedit
%attr(755,root,root) %{_bindir}/regsvr32
%attr(755,root,root) %{_bindir}/uninstaller
%attr(755,root,root) %{_bindir}/wcmd
%attr(755,root,root) %{_bindir}/wineconsole
%attr(755,root,root) %{_bindir}/winedbg
%attr(755,root,root) %{_bindir}/winefile
%attr(755,root,root) %{_bindir}/winemine
%attr(755,root,root) %{_bindir}/winepath
%attr(755,root,root) %{_bindir}/winhelp

%files devel
%defattr(644,root,root,755)
%doc documentation/{wine-devel,winelib-user,HOWTO-winelib}
%{_includedir}/wine
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wine.spec,v $
Revision 1.93.4.2  2003/11/21 09:46:33  qboosh
- fixed winedbg path in wine.systemreg (BTS#42)
- cosmetics, typos, md5; release 4

Revision 1.93.4.1  2003/07/11 12:04:36  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.93  2002/10/02 11:50:47  kloczek
- updated %files.

Revision 1.92  2002/10/02 07:33:04  kloczek
- fixed %install and %files (there is no wine.m4).

Revision 1.91  2002/10/02 06:51:44  kloczek
- fix in %install: run chstk with -e (not -p).

Revision 1.90  2002/09/30 00:40:54  kloczek
- release 3.

Revision 1.89  2002/09/29 11:44:27  klakier
- use chstk instead of chpax
- rel 0.3

Revision 1.88  2002/09/14 04:44:49  blues
- more docs

Revision 1.87  2002/09/06 06:18:56  lukasz
- up to 20020904

Revision 1.86  2002/08/05 08:12:56  qboosh
- added ldconfig and chkconfig paths in Requires

Revision 1.85  2002/08/05 01:36:18  wolf
- rel 0.1 - builds, but doesn't work correctly

Revision 1.84  2002/08/04 23:47:38  wolf
- adapter.awk sucks

Revision 1.83  2002/08/04 22:59:59  wolf
- 20020804

Revision 1.82  2002/07/27 20:33:11  kloczek
- release 2.

Revision 1.81  2002/07/27 11:35:01  qboosh
- BR: sane-backends-devel for twain.dll is back (it doesn't force saned now)
- bconds for arts,cups,sane - not really working, just to ignore BRs
- searching for programs didn't work - so added explicit list

Revision 1.80  2002/07/14 19:04:07  wolf
- 20020710
- BR: sane-backend-devel removed. I don't want rc-inetd on my box.
- fix in sed in %%prep
- enchanced programs' make install
- there's no *.so in bindir (?)
- manually install fnt2bdf

Revision 1.79  2002/06/06 21:50:42  juandon
- Rel 0.3 STBR

Revision 1.78  2002/06/04 22:47:43  ankry
- .bz2 -> .gz (no .bz2 snapshots available)

Revision 1.77  2002/06/04 21:03:22  juandon
- added docbook-utils, docbook-std31-sgml and openjade to BR
- added line: install hlp2sgml ...
- use new doc
- Rel 0.2
- STBR

Revision 1.76  2002/05/10 15:15:26  wolf
- 20020509, rel 0.1
- if it builds and works, bump rel to 1

Revision 1.75  2002/04/21 12:08:07  saq
- completed & sorted BuildReqs
- proper Reqs for ldconfig and chkconfig
- -I/usr/include/ncurses to build ncurses support properly
- release 2

Revision 1.74  2002/04/16 10:03:52  wolf
- ac regen req ac 2.53. disabled
- added dlldir=libdir/wine
  1. it's nice to have win dll hell in one place
  2. when it's set to libdir, some symlinks point to buildroot
- license is now GPL...
- ...so LICENSE is not needed in doc. WARRANTY is also gone somewhere
STBR

Revision 1.73  2002/04/15 11:24:51  wolf
- 20020411
- should build, but I didn't checked yet

Revision 1.72  2002/04/02 19:13:26  alchemyx
- changed prio of initscripts from 99 to 95 so it boots before gdm
- release 3

Revision 1.71  2002/03/06 08:08:14  filon
- regenerate configure script, use %%configure macro
- release 2

Revision 1.70  2002/03/05 07:53:59  djrzulf
- it compiles and works,
- Release 1,
- STBR,

Revision 1.69  2002/03/04 13:31:56  wolf
- 20020228
- if it compiles and works, bump rel to 1

Revision 1.68  2002/03/03 20:30:48  qboosh
- fixed %%post, release 6

Revision 1.67  2002/03/03 10:55:22  filon
- remove avitools from programs (conficts with aviplay, and have no sound support...)
- correct split binaries between main pkg and programs
- release 5

Revision 1.66  2002/03/01 10:30:13  filon
- fixed wine.init (binfmt_misc is a filesystem and have to be mounted before use)
- release 4

Revision 1.65  2002/02/28 22:03:30  kloczek
- relase 4.

Revision 1.64  2002/02/28 17:15:26  filon
- removed 'fi' inserted by accident

Revision 1.63  2002/02/27 21:39:38  filon
- added programs package with some winelib programs
- make html docs and move some to devel package
- make this spec %%debug aware
- proper post / preun scripts for wine service
- cosmetics
- release 4

Revision 1.62  2002/02/23 05:04:59  kloczek
- adapterized.

Revision 1.61  2002/02/22 23:29:58  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.60  2002/02/08 22:53:04  qboosh
- relase 2: enabled opengl

Revision 1.59  2002/01/27 13:21:55  wolf
- updated to 20020122

Revision 1.58  2002/01/18 02:15:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.57  2002/01/15 12:15:29  michuz
- updated to new snapshot (keyboard didn't work in old snapshot)

Revision 1.56  2001/12/20 23:45:15  qboosh
- no_install_post_strip and stripping in %%install are back!
- fixed chpax, release 5

Revision 1.55  2001/12/12 03:22:16  kloczek
- remove "%define no_install_post_strip 1".

Revision 1.54  2001/12/12 03:14:22  kloczek
- much simpler solution for run in correct momet chpach: override/extend
  %__spec_install_post script.

Revision 1.53  2001/12/11 22:40:28  alchemyx
- added path to the execution of chpax
- this version works fine now, release 4, please STB

Revision 1.52  2001/12/11 15:00:50  malekith
- installed ugly workaround for strip removing elf flags (notified binutils
  maintainer)

Revision 1.51  2001/12/03 21:26:04  alchemyx
- added chpax to BuildRequires
- disabled PAGE_EXEC on wine binary by chpax (now it will work on our patched
  kernels)
- release 3, STB after STBing chpax

Revision 1.50  2001/11/21 17:53:18  michuz
- release 2
- make wine standalone (don't need any windows)

Revision 1.49  2001/11/16 12:34:53  pascalek
- updated to 20011108
- STB

Revision 1.48  2001/11/15 02:41:57  kloczek
- merge translations from CNV.

Revision 1.47  2001/11/10 16:45:32  jajcus
- s/Distibutable/distributable/ in License

Revision 1.46  2001/10/10 14:36:49  lukasz
- 20011004

Revision 1.45  2001/09/05 09:23:07  filon
- added fontcache patch, make wine less strict about font corectness

Revision 1.44  2001/08/25 11:50:12  lukasz
- 20010824

Revision 1.43  2001/08/05 21:59:37  areq
- 20010731, STBR

Revision 1.42  2001/07/13 16:29:22  qboosh
- _noautoreqdep for libGL and libGLU

Revision 1.41  2001/07/12 16:31:15  qboosh
- configure2_13 (cannot use ac 2.50 without patching configure.in)
- release 2

Revision 1.40  2001/06/30 08:06:12  lukasz
- 20010629

Revision 1.39  2001/05/11 15:40:27  lukasz
-updated to 20010510

Revision 1.38  2001/04/19 12:01:25  lukasz
- updated to 20010418

Revision 1.37  2001/04/04 19:50:10  kloczek
- release 2.

Revision 1.36  2001/03/27 17:31:51  lukasz
- updated to 20010326

Revision 1.35  2001/03/06 14:19:53  lukasz
- updated to 20010305

Revision 1.34  2001/02/20 23:58:59  lukasz
- updated to 20010216

Revision 1.33  2001/01/15 15:39:24  michuz
- updated to 20010112

Revision 1.32  2001/01/15 15:36:46  michuz
- cleanups in %%files

Revision 1.31  2001/01/15 09:18:34  mis
- updated to 20001222

Revision 1.30  2000/12/19 14:54:10  kloczek
- release 2.

Revision 1.29  2000/12/19 14:18:30  misiek
moved .so back to wine.

Revision 1.28  2000/12/11 15:41:02  kloczek
- updated to 20001202.

Revision 1.27  2000/12/11 12:21:59  qboosh
- BuildRequires: bison

Revision 1.26  2000/11/06 16:51:55  kloczek
- removed "BuildRequires: xpm-devel",
- use new rpm automation.

Revision 1.25  2000/11/06 11:25:10  wrobell
- updated to 20001026

Revision 1.24  2000/09/13 13:09:13  newrom
- updated to 20000909

Revision 1.23  2000/08/27 21:24:21  kloczek
- release 2.

Revision 1.22  2000/08/27 02:05:22  mis
- removed %{_libdir}/*.so from main

Revision 1.21  2000/08/23 13:34:13  kloczek
- updated to 20000821.

Revision 1.20  2000/08/10 21:40:58  newrom
- updated to 20000801

Revision 1.19  2000/07/21 22:29:48  kloczek
- updated to 20000716,
- spec adapterized.

Revision 1.18  2000/07/15 15:11:20  kloczek
- release 4,
- fix %%{_mandir}.

Revision 1.17  2000/07/13 23:29:21  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.16  2000/07/01 12:30:25  klakier
- version 20000614

Revision 1.15  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/06/01 17:24:26  mkochano
- Removed klakier's removal of symlinks. These symlinks have names of 16-bit
  Windows dlls and point to libraries with names of 32-bit windows dlls. In
  wine booth 16-bit and 32-bit version of libraries are in same '*.so.*' file,
  and these links are for compatibility with 16-bits apps. So they aren't
  stupid ;)
- Release++

Revision 1.12  2000/05/31 14:06:20  mkochano
- Updated to 20000526.
- Added symlink libuser.so -> libuser32.so. Such symlink exist in build tree
  but "make install" doesn't care about it.

Revision 1.11  2000/05/17 07:45:25  wiget
- commented out wine.sym

Revision 1.10  2000/05/15 21:20:32  kloczek
- spec file adapterized.

Revision 1.9  2000/05/15 21:12:04  mkochano
- Updated to 20000430.

Revision 1.8  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.7  2000/04/11 09:42:36  kloczek
- typo in stripping.

Revision 1.6  2000/04/11 09:08:23  kloczek
- move lib*.so to devel,
- added stripping binaries,
- some simplifications.

Revision 1.5  2000/04/10 21:56:29  mkochano
- Updated to 20000326.
- More "BuildRequires:".

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/04 20:56:51  michuz
- updated to 20000227
- changed _prefix to /usr/X11R6
- added description

Revision 1.2  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  2000/02/21 22:04:38  klakier
- initial working wersion
  TODO: add some nice features from RH spec
